#!/bin/bash

# monitoring de squid
# base des oid pour squid : "1.3.6.1.4.1.3495.1"
# donnes  surveiller:
#   - Ko/s en entre (http)
#   - Ko/s en sortie (http)
#  la sortie de snmpget, on obtient un rsultat de la forme 'Counter32: 27278049'
# On supprime donc tout ce qui n'est pas numrique

# traffic http
snmpget -v2c -Ov -Pe -m /usr/share/snmp/mibs/SQUID.txt 127.0.0.1:3401 -c public enterprises.3495.1.3.2.1.4 | cut -d" " -f 2
snmpget -v2c -Ov -Pe -m /usr/share/snmp/mibs/SQUID.txt 127.0.0.1:3401 -c public enterprises.3495.1.3.2.1.5 | cut -d" " -f 2
# hit ratio
snmpget -v2c -Ov -Pe -m /usr/share/snmp/mibs/SQUID.txt 127.0.0.1:3401 -c public enterprises.3495.1.3.2.2.1.9.5 | cut -d" " -f 2
snmpget -v2c -Ov -Pe -m /usr/share/snmp/mibs/SQUID.txt 127.0.0.1:3401 -c public enterprises.3495.1.3.2.2.1.10.5 | cut -d" " -f 2
# requtes servies par le cache
snmpget -v2c -Ov -Pe -m /usr/share/snmp/mibs/SQUID.txt 127.0.0.1:3401 -c public enterprises.3495.1.3.2.1.10 | cut -d" " -f 2
snmpget -v2c -Ov -Pe -m /usr/share/snmp/mibs/SQUID.txt 127.0.0.1:3401 -c public enterprises.3495.1.3.2.1.1 | cut -d" " -f 2

