# -*- mode: Python; coding: utf-8 -*-
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# eole_agents.py
#  
# définition des plugins twisted pour les agents zephir
#       
###########################################################################
from twisted.scripts.mktap import _tapHelper
import warnings
try:
    from twisted.python.components import ComponentsDeprecationWarning
    warnings.filterwarnings('ignore', category=ComponentsDeprecationWarning, message="Please don't use __adapt__ on Interface subclasses")
except:
    # twisted 1 : pas besoin de filtrer ce warning
    pass


zephirWeb = _tapHelper(
    "Zephir agent manager",
    "zephir.monitor.agentmanager.zephir_tap",
    ("Service to load and run zephir agents."),
    "zephiragents")
