#!/bin/bash
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# cronzephir.sh
#  
# script relançant le service z_stats si il est arreté
#       
###########################################################################

RepEole=${RepEole="/usr/share/eole"}
# Appel Bibliothèque
[ -x $RepEole/FonctionsEole ] || {
        echo "Pas de bibliotheque Eole !"
        exit 1
	}

. $RepEole/FonctionsEole

if [ $ZephirActif -eq 0 ]
then
	/etc/init.d/z_stats status &> /dev/null
	if [ $? != 0 ]
	then
		/etc/init.d/z_stats restart
		Zephir "MSG" "Service z_stats arreté : redémarrage" "ZEPHIR"
	fi
fi 
exit 0
